%global svn_rev 2580
Summary:       Hardware lister
Name:          lshw
Version:       B.02.18
Release:       0.2.20150722svn%{svn_rev}.beaker.5%{?dist}.1
License:       GPLv2
Group:         Applications/System
URL:           http://ezix.org/project/wiki/HardwareLiSter
#Source0:       http://www.ezix.org/software/files/lshw-%{version}.tar.gz
# svn export -r2580 http://ezix.org/source/packages/lshw/development/ lshw-svn-r2580
# tar -cJf lshw-svn-r2580.tar.xz lshw-svn-r2580/
Source0:       lshw-svn-r%{svn_rev}.tar.xz
Source1:       lshw.desktop
Source2:       org.ezix.lshw.gui.policy
Source3:       lshw-gui

# Patches from Beaker's lshw fork <http://git.beaker-project.org/cgit/lshw>
# git format-patch --no-renames lyonel/master..master
Patch0001:      0001-README-for-Beaker-s-fork.patch
Patch0002:      0002-output-pci-subsystem-information-611.patch
Patch0003:      0003-also-output-subsystem-info-for-PCI-host-bridges-611.patch
Patch0004:      0004-only-output-subsystem-info-if-the-ids-are-non-zero-6.patch
Patch0005:      0005-improve-model-and-chassis-retrieval-for-IBM-systems-.patch
Patch0006:      0006-detect-arch-at-runtime-for-proc-cpuinfo-parsing.patch
Patch0007:      0007-devicetree-use-defined-sizes-for-integer-property-va.patch
Patch0008:      0008-add-missing-PCI-storage-subclasses-688.patch
Patch0009:      0009-expose-hints-in-XML-output-688.patch
Patch0010:      0010-refactored-sysfs-entry-to-always-store-resolved-devi.patch
Patch0011:      0011-scan-virtio-devices-in-sysfs-562.patch
Patch0012:      0012-scan-PnP-devices-in-sysfs-691.patch
Patch0013:      0013-load-PnP-vendor-names-from-hwdata-database-691.patch
Patch0014:      0014-load-PnP-product-names-from-Universit-t-Regensburg-p.patch
Patch0015:      0015-add-a-few-missing-PnP-IDs.patch
Patch0016:      0016-scan-vio-devices-in-sysfs-692.patch
Patch0017:      0017-use-sysfs-to-find-businfo-for-SCSI-adapters-692.patch
Patch0018:      0018-scan-S-390-devices-in-sysfs-693.patch
Patch0019:      0019-guess-memory-size-from-memory-hotplug-info-694.patch
Patch0020:      0020-devicetree-identify-DIMMs-from-IBM-memory-controller.patch
Patch0021:      0021-dmi-support-SMBIOS3.0-entry-point-format-697.patch
Patch0022:      0022-dmi-update-some-constants-and-fields-according-to-th.patch
Patch0023:      0023-dmi-x86-64-is-a-misnomer-for-64-bit-CPU-capability-6.patch
Patch0024:      0024-dmi-avoid-creating-multiple-memory-nodes-700.patch
Patch0025:      0025-scsi-treat-buffer-as-unsigned-in-do_inquiry-701.patch
Patch0026:      0026-scsi-initialize-parent-inside-the-loop-692.patch
Patch0027:      0027-sysfs-businfo-for-USB-devices-692.patch

BuildRequires: sqlite-devel
BuildRequires: pkgconfig
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      hwdata
BuildRequires: docbook-utils

%description
lshw is a small tool to provide detailed informaton on the hardware
configuration of the machine. It can report exact memory configuration,
firmware version, mainboard configuration, CPU version and speed, cache
configuration, bus speed, etc. on DMI-capable x86 systems and on some
PowerPC machines (PowerMac G4 is known to work).

Information can be output in plain text, XML or HTML.

%if 0%{?fedora} || 0%{?rhel} >= 6
%package       gui
Summary:       Graphical hardware lister
Group:         Applications/System
Requires:      polkit
Requires:      %{name} = %{version}-%{release}
BuildRequires: gtk2-devel >= 2.4
BuildRequires: desktop-file-utils

%description   gui
Graphical frontend for the hardware lister (lshw) tool.
If desired, hardware information can be saved to file in
plain, XML or HTML format.
%endif

%prep
%setup -q -n lshw-svn-r%{svn_rev}
%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1

%build
%if 0%{?fedora} || 0%{?rhel} >= 6
%{__make} %{?_smp_mflags} SBINDIR="%{_sbindir}" RPM_OPT_FLAGS="%{optflags}" SQLITE=1 gui 
%else
%{__make} %{?_smp_mflags} SBINDIR="%{_sbindir}" RPM_OPT_FLAGS="%{optflags}" SQLITE=1
%endif

# Replace copyrighted icons
pushd src
%{__make} nologo

%install
%{__rm} -rf %{buildroot}
%{__make} install              \
        DESTDIR="%{buildroot}" \
        PREFIX="%{_prefix}"    \
        SBINDIR="%{_sbindir}"  \
        MANDIR="%{_mandir}"    \
        SQLITE=1               \
        STRIP="/bin/true"      \
        INSTALL="%{__install} -p"

%if 0%{?fedora} || 0%{?rhel} >= 6
%{__make} install-gui          \
        DESTDIR="%{buildroot}" \
        PREFIX="%{_prefix}"    \
        SBINDIR="%{_sbindir}"  \
        MANDIR="%{_mandir}"    \
        SQLITE=1               \
        STRIP="/bin/true"      \
        INSTALL="%{__install} -p"

%{__ln_s} -f gtk-lshw %{buildroot}%{_sbindir}/lshw-gui
%endif

# don't package these copies, use the ones from hwdata instead
%{__rm} -f %{buildroot}%{_datadir}/%{name}/pci.ids
%{__rm} -f %{buildroot}%{_datadir}/%{name}/usb.ids
# don't package these copies, they're not actually used by the app,
# and even if they were, should use the hwdata versions
%{__rm} -f %{buildroot}%{_datadir}/%{name}/oui.txt
%{__rm} -f %{buildroot}%{_datadir}/%{name}/manuf.txt

%if 0%{?fedora} || 0%{?rhel} >= 6
# desktop icon
%{__install} -D -m 0644 -p ./src/gui/artwork/logo.svg \
     %{buildroot}%{_datadir}/pixmaps/%{name}-logo.svg
desktop-file-install --vendor fedora  \
  --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

# PolicyKit
%{__install} -D -m 0644 %{SOURCE2} \
    %{buildroot}%{_datadir}/polkit-1/actions/org.ezix.lshw.gui.policy
%{__install} -D -m 0755 %{SOURCE3} %{buildroot}%{_bindir}/lshw-gui
%endif

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc COPYING README.md README.md.orig docs/*
%doc %{_mandir}/man1/lshw.1*
%{_sbindir}/%{name}
%{_datadir}/%{name}
%if 0%{?fedora} || 0%{?rhel} >= 6
# these directories go into the gui subpackage instead
%exclude %{_datadir}/%{name}/artwork
%exclude %{_datadir}/%{name}/ui
%endif

%if 0%{?fedora} || 0%{?rhel} >= 6
%files gui
%defattr(-, root, root, -)
%doc COPYING
%{_bindir}/%{name}-gui
%{_sbindir}/gtk-%{name}
%{_sbindir}/%{name}-gui
%{_datadir}/%{name}/artwork
%{_datadir}/%{name}/ui
%{_datadir}/pixmaps/%{name}-logo.svg
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/polkit-1/actions/org.ezix.lshw.gui.policy
%endif

%changelog
* Thu Jul 30 2015 Dan Callaghan <dcallagh@redhat.com> - B.02.18-0.2.20150722svn2580.beaker.5
- updated Beaker patches to git commit 466aaa39

* Mon Jul 27 2015 Dan Callaghan <dcallagh@redhat.com> - B.02.18-0.2.20150722svn2580.beaker.4
- updated Beaker patches to git commit 78bb0ffb

* Fri Jul 24 2015 Dan Callaghan <dcallagh@redhat.com> - B.02.18-0.2.20150722svn2580.beaker.3
- updated Beaker patches to git commit 2afe9680

* Wed Jul 22 2015 Dan Callaghan <dcallagh@redhat.com> - B.02.18-0.2.20150722svn2580.beaker.1
- updated to upstream svn r2580
- updated Beaker patches to git commit 1b1ee639

* Wed Jun 03 2015 Amit Saha <asaha@redhat.com> - B.02.18-0.1.20150603svn2575.beaker.1
- SVNr2575
- Patched with the enhancements from lshw fork of beaker project

* Thu May 28 2015 Amit Saha <asaha@redhat.com> - B.02.18-0.1.20150528svn2575.beaker.1
- SVNr2575
- Patched with the enhancements from lshw fork of beaker project

* Fri May 01 2015 Amit Saha <asaha@redhat.com> - B.02.18-0.1.20150501svn2575.beaker.1
- SVNr2575
- Patched with the enhancements from lshw fork of beaker project

* Wed Sep 03 2014 Amit Saha <asaha@redhat.com> - B.02.18-0.1.20140826svn2542.beaker.1
- SVNr2542
- Patched with the enhancements from lshw fork of beaker project

* Tue Jan 22 2013 Amit Saha <asaha@redhat.com> - B.02.17-0.1.20130114svn2509.el6eng.2
- patch to emit logical sector size
- Build lshw gui only on Fedora and RHEL 6+

* Mon Jan 14 2013 Dan Callaghan <dcallagh@redhat.com> - B.02.17-0.1.20130114svn2509.el6eng.1
- update to SVN pre-release version
- patch to emit subsystem information

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - B.02.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 08 2012 Terje Rosten <terje.rosten@ntnu.no> - B.02.16-3
- Switch from consolehelper to PolicyKit (bz #502730)

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - B.02.16-2
- Rebuilt for c++ ABI breakage

* Sun Jan 29 2012 Terje Rosten <terje.rosten@ntnu.no> - B.02.16-1
- B.02.16

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - B.02.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 17 2011 Terje Rosten <terje.rosten@ntnu.no> - B.02.15-3
- Own all dirs

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - B.02.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 21 2010 Terje Rosten <terje.rosten@ntnu.no> - B.02.15-1
- B.02.15
- Remove patches now upstream
- Build with sqlite support

* Sun Sep 05 2010 Terje Rosten <terje.rosten@ntnu.no> - B.02.14-5
- Add patch to fix build with gcc-4.5

* Sun Sep 05 2010 Terje Rosten <terje.rosten@ntnu.no> - B.02.14-4
- Add patch to fix ext4 issue

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - B.02.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 06 2009 Adam Jackson <ajax@redhat.com> - B.02.14-2
- Requires: hwdata
- Drop redundant copies of pci.ids and friends, since we'll pick up the
  copies in hwdata at runtime

* Sun Mar  1 2009 Terje Rosten <terjeros@phys.ntnu.no> - B.02.14-1
- B.02.14
- Drop gcc43 patch now upstream

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - B.02.13-4
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Aug 13 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.13-3
- rebuild

* Wed Aug 13 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.13-2
- proper patch macro

* Wed Aug 13 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.13-1
- B.02.13
- remove patches now upstream
- add new gcc43 patch

* Tue Apr 15 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-5
- rebuild

* Tue Apr 15 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-4
- add patch to fix bz #442501

* Mon Feb 11 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-3
- add patch to build with gcc-4.3

* Sat Feb  9 2008 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-2
- rebuild

* Mon Nov  5 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-1
- B.02.12.01
- Replace trademark icons

* Tue Aug 14 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11.01-3
- Move desktop and pam config to files
- Simplify build

* Tue Aug 07 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11.01-2
- Remove trademarks

* Mon Aug 06 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11.01-1
- B.02.11.01

* Sun Aug 05 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11-3
- Move artwork to gui subpackage
- Implement consolehelper support

* Sat Aug 04 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11-2
- License is GPLv2 (only)
- Fix ui %%description

* Wed Aug 01 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11-1
- Follow upstream version scheme

* Wed Jul 25 2007 Terje Rosten <terjeros@phys.ntnu.no> - 2.11-1
- 2.11

* Wed Jun 27 2007 Terje Rosten <terjeros@phys.ntnu.no> - 2.10-2
- minor fixes
- add patch to avoid stripping
- add desktop file
- strip changelog
- move from sbin to bin
- new url

* Wed Feb 14 2007 Dag Wieers <dag@wieers.com> - 2.10-1 - 4876+/dag
- Updated to release B.02.10.

* Tue Dec 21 2004 Dag Wieers <dag@wieers.com> - 2.0-1
- Initial package. (using DAR)

